package com.ss.android.ugc.aweme.ecommerce.util;

import X.0EQ;
import X.CXR;
import X.M12;
import android.content.Context;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.bytedance.covode.number.Covode;
import kotlin.h.b.n;

public final class ScrollTopLinearLayoutManager extends LinearLayoutManager {
    public int LIZ;
    public boolean LIZIZ = true;
    public float LIZJ = 50.0f;

    static {
        Covode.recordClassIndex(72815);
    }

    public final boolean LJI() {
        if (!this.LIZIZ || !ScrollTopLinearLayoutManager.super.LJI()) {
            return false;
        }
        return true;
    }

    public ScrollTopLinearLayoutManager(Context context) {
        M12.LIZ(context);
    }

    public final void LIZ(RecyclerView recyclerView, 0EQ r5, int i) {
        M12.LIZ(recyclerView, r5);
        Context context = recyclerView.getContext();
        n.LIZIZ(context, "");
        CXR cxr = new CXR(this, context);
        cxr.LJI = i;
        LIZ(cxr);
    }
}
